DtMmdbBookGetSeqNum(library call)

NAME
DtMmdbBookGetSeqNum — obtains the sequence number of a book

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbBookGetSeqNum(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbBookGetSeqNum function returns the sequence number of the specified book object. Table lookup is involved when the identifier is specified by the primary_oid field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field, as well as a valid value in the primary_oid or the secondary_oid field. The primary_oid represents the DtInfo Database object identifier of the TOC section; and the secondary_oid represents the object identifier of the book itself. If both of these fields have a valid value, the order of precedence is: primary_oid and then secondary_oid.

RETURN VALUE

If DtMmdbBookGetSeqNum completes successfully, it returns the sequence number of the book. If it fails, it returns -1.

EXAMPLE

None.

SEE ALSO

TO BE SUPPLIED.